Plank.DragManager – plank Reference Manual

# DragManager

## Object Hierarchy:

## Description:

public class DragManager : Object

Handles all of the drag'n'drop events for a dock.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public DockController controller { construct; }
- public bool InternalDragActive { get; }
- public DockItem? DragItem { get; }
- public bool DragNeedsCheck { get; }
- public bool ExternalDragActive { get; }
- public bool RepositionMode { get; }

### Creation methods:

- public DragManager (DockController controller)
  Creates a new instance of a DragManager, which handles drag'n'drop interactions of a dock.

### Methods:

- public void initialize ()
  Initializes the drag-manager. Call after the DockWindow is constructed.
- public bool drop_is_accepted_by (DockItem item)
  Whether the current dragged-data is accepted by the given dock-item
- public void ensure_proxy ()

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set
- set_data

- set_data_full
- set_property
- set_qdata
- set_qdata_full
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count